GDB (xrefs)

Public Member Functions | List of all members
tdesc_type_builtin Struct Reference
Inheritance diagram for tdesc_type_builtin:

## Public Member Functions
| tdesc_type_builtin (const std::string &name, enum tdesc_type_kind kind)
void | accept (tdesc_element_visitor &v) const override
type * | make_gdb_type (struct gdbarch *gdbarch) const override
Public Member Functions inherited from tdesc_type
| tdesc_type (const std::string &name_, enum tdesc_type_kind kind_)
virtual | ~tdesc_type ()=default
| DISABLE_COPY_AND_ASSIGN (tdesc_type)
bool | operator== (const tdesc_type &other) const
bool | operator!= (const tdesc_type &other) const

## Additional Inherited Members
Public Attributes inherited from tdesc_type
std::string | name
enum tdesc_type_kind | kind

## Detailed Description

Definition at line 235 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ tdesc_type_builtin()

tdesc_type_builtin::tdesc_type_builtin | ( | const std::string & | name,
|  | enum tdesc_type_kind | kind
| ) |  |
| inline

Definition at line 237 of file target-descriptions.c.

## Member Function Documentation

## ◆ accept()

void tdesc_type_builtin::accept | ( | tdesc_element_visitor & | v | ) | const
| inline override virtual

Implements tdesc_element.

Definition at line 241 of file target-descriptions.c.

References tdesc_element_visitor::visit().

## ◆ make_gdb_type()

type* tdesc_type_builtin::make_gdb_type | ( | struct gdbarch * | gdbarch | ) | const
| inline override virtual

Implements tdesc_type.

Definition at line 246 of file target-descriptions.c.

References arch_float_type(), builtin_type::builtin_bool, builtin_type::builtin_data_ptr, builtin_type::builtin_func_ptr, builtin_type::builtin_int128, builtin_type::builtin_int16, builtin_type::builtin_int32, builtin_type::builtin_int64, builtin_type::builtin_int8, builtin_type(), builtin_type::builtin_uint128, builtin_type::builtin_uint16, builtin_type::builtin_uint32, builtin_type::builtin_uint64, builtin_type::builtin_uint8, floatformats_arm_ext, floatformats_i387_ext, floatformats_ieee_double, floatformats_ieee_single, internal_error(), tdesc_type::kind, tdesc_type::name, tdesc_find_type(), TDESC_TYPE_ARM_FPA_EXT, TDESC_TYPE_BOOL, TDESC_TYPE_CODE_PTR, TDESC_TYPE_DATA_PTR, TDESC_TYPE_I387_EXT, TDESC_TYPE_IEEE_DOUBLE, TDESC_TYPE_IEEE_SINGLE, TDESC_TYPE_INT128, TDESC_TYPE_INT16, TDESC_TYPE_INT32, TDESC_TYPE_INT64, TDESC_TYPE_INT8, TDESC_TYPE_UINT128, TDESC_TYPE_UINT16, TDESC_TYPE_UINT32, TDESC_TYPE_UINT64, and TDESC_TYPE_UINT8.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c